﻿Imports System.Data.SqlClient
Imports System.Collections.Generic

Partial Class VB
    Inherits System.Web.UI.Page

    <System.Web.Script.Services.ScriptMethod(), _
    System.Web.Services.WebMethod()> _
    Public Shared Function SearchCustomers(ByVal prefixText As String, ByVal count As Integer, ByVal contextKey As String) As List(Of String)
        Dim conn As SqlConnection = New SqlConnection
        conn.ConnectionString = ConfigurationManager _
         .ConnectionStrings("constr").ConnectionString
        Dim cmd As SqlCommand = New SqlCommand
        Dim cmdText As String = "select ContactName from Customers where" & _
        " ContactName like @SearchText + '%'"
        cmd.Parameters.AddWithValue("@SearchText", prefixText)
        If contextKey <> "0" Then
            cmdText = cmdText + " and Country = @Country"
            cmd.Parameters.AddWithValue("@Country", contextKey)
        End If
        cmd.CommandText = cmdText
        cmd.Connection = conn
        conn.Open()
        Dim customers As List(Of String) = New List(Of String)
        Dim sdr As SqlDataReader = cmd.ExecuteReader
        While sdr.Read
            customers.Add(sdr("ContactName").ToString)
        End While
        conn.Close()
        Return customers
    End Function
End Class
